Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881745 - vdsm: vdsm does not restart on hsm when connectivity to the NFS storage is blocked
Summary: vdsm: vdsm does not restart on hsm when connectivity to the NFS storage is bl...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.1.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Yaniv Bronhaim
QA Contact:
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-29 14:03 UTC by Dafna Ron
Modified: 2016-02-10 19:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-01 08:11:39 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
logs (2.25 MB, application/x-gzip)
2012-11-29 14:03 UTC, Dafna Ron
no flags Details

Description Dafna Ron 2012-11-29 14:03:26 UTC
Created attachment 654296 [details]
logs

Description of problem:

I blocked connectivity to the NFS storage domain from 2 out of 3 of my hosts. 
the vdsm service in the second host (not the spm) did not restart (no prepareForShutdown is called). 

Version-Release number of selected component (if applicable):

vdsm-4.9.6-44.0.el6_3.x86_64
libvirt-0.9.10-21.el6_3.6.x86_64
qemu-img-rhev-0.12.1.2-2.295.el6_3.5.x86_64
qemu-kvm-rhev-0.12.1.2-2.295.el6_3.5.x86_64

How reproducible:

100%

Steps to Reproduce:
1. in 3 hosts cluster with 1 NFS storage domain, block connectivity to the storage domain from 2 out of the 3 hosts (spm + other) using iptables
2.
3.
  
Actual results:

vdsm does not restart in the hsm blocked host

Expected results:

vdsm should restart 

Additional info: logs

Comment 1 RHEL Program Management 2012-12-14 07:50:17 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 Yaniv Bronhaim 2013-04-02 10:48:43 UTC
Storage block handling should restart vdsm only on SPM. This is handled by sanlock when the connectivity to the storage is lost, sanlock sends SIGTERM for 40sec and SIGKILL if vdsm still up.

prepareForShutdown is called when SIGTERM is received, but over HSM host it's never meant to happened.


Note You need to log in before you can comment on or make changes to this bug.